### Method

# EDataServer SourceMailIdentity get_address

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_mail_identity_get_address (
      ESourceMailIdentity* extension
    )

#### Description [src]

Returns the email address for this identity from which to send messages. This may be an empty string but will never be `NULL`.

Available since: 3.6

Gets property | `EDataServer.SourceMailIdentity:address`

#### Return value

Type: `const gchar*`

The sender’s email address.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.